<?php

/*------------------------------------------------------------------------
# Aixeena News (module)
# ------------------------------------------------------------------------
# version		4.0.0
# author    	Top Position
# copyright 	Copyright (c) 2018 Top Position All rights reserved.
# @license 		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Website		http://posicionamientoenbuscadoreswebseo.es/
-------------------------------------------------------------------------
*/
// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.html.html');
jimport('joomla.form.formfield');
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');

class JFormFieldAixeenaicon extends JFormField {

    protected $type = 'Aixeenaicon';


	 public function getInput() {
	 
		$options = array(
			'none' => 'Disabled',
					'aixeena-glyphicon-asterisk' => 'asterisk',
					'aixeena-glyphicon-plus' => 'plus',
					'aixeena-glyphicon-euro' => 'euro',
					'aixeena-glyphicon-minus' => 'minus',
					'aixeena-glyphicon-cloud' => 'cloud',
					'aixeena-glyphicon-envelope' => 'envelope',
					'aixeena-glyphicon-pencil' => 'pencil',
					'aixeena-glyphicon-glass' => 'glass',
					'aixeena-glyphicon-music' => 'music',
					'aixeena-glyphicon-search' => 'search',
					'aixeena-glyphicon-heart' => 'heart',
					'aixeena-glyphicon-star' => 'star',
					'aixeena-glyphicon-star-empty' => 'star-empty',
					'aixeena-glyphicon-user' => 'user',
					'aixeena-glyphicon-film' => 'film',
					'aixeena-glyphicon-th-large' => 'th-large',
					'aixeena-glyphicon-th' => 'th',
					'aixeena-glyphicon-th-list' => 'th-list',
					'aixeena-glyphicon-ok' => 'ok',
					'aixeena-glyphicon-remove' => 'remove',
					'aixeena-glyphicon-zoom-in' => 'zoom-in',
					'aixeena-glyphicon-zoom-out' => 'zoom-out',
					'aixeena-glyphicon-off' => 'off',
					'aixeena-glyphicon-signal' => 'signal',
					'aixeena-glyphicon-cog' => 'cog',
					'aixeena-glyphicon-trash' => 'trash',
					'aixeena-glyphicon-home' => 'home',
					'aixeena-glyphicon-file' => 'file',
					'aixeena-glyphicon-time' => 'time',
					'aixeena-glyphicon-road' => 'road',
					'aixeena-glyphicon-download-alt' => 'download-alt',
					'aixeena-glyphicon-download' => 'download',
					'aixeena-glyphicon-upload' => 'upload',
					'aixeena-glyphicon-inbox' => 'inbox',
					'aixeena-glyphicon-play-circle' => 'play-circle',
					'aixeena-glyphicon-repeat' => 'repeat',
					'aixeena-glyphicon-refresh' => 'refresh',
					'aixeena-glyphicon-list-alt' => 'list-alt',
					'aixeena-glyphicon-flag' => 'flag',
					'aixeena-glyphicon-headphones' => 'headphones',
					'aixeena-glyphicon-volume-off' => 'volume-off',
					'aixeena-glyphicon-volume-down' => 'volume-down',
					'aixeena-glyphicon-volume-up' => 'volume-up',
					'aixeena-glyphicon-qrcode' => 'qrcode',
					'aixeena-glyphicon-barcode' => 'barcode',
					'aixeena-glyphicon-tag' => 'tag',
					'aixeena-glyphicon-tags' => 'tags',
					'aixeena-glyphicon-book' => 'book',
					'aixeena-glyphicon-print' => 'print',
					'aixeena-glyphicon-font' => 'font',
					'aixeena-glyphicon-bold' => 'bold',
					'aixeena-glyphicon-italic' => 'italic',
					'aixeena-glyphicon-text-height' => 'text-height',
					'aixeena-glyphicon-text-width' => 'text-width',
					'aixeena-glyphicon-align-left' => 'align-left',
					'aixeena-glyphicon-align-center' => 'align-center',
					'aixeena-glyphicon-align-right' => 'align-right',
					'aixeena-glyphicon-align-justify' => 'align-justify',
					'aixeena-glyphicon-list' => 'list',
					'aixeena-glyphicon-indent-left' => 'indent-left',
					'aixeena-glyphicon-indent-right' => 'indent-right',
					'aixeena-glyphicon-facetime-video' => 'facetime-video',
					'aixeena-glyphicon-picture' => 'picture',
					'aixeena-glyphicon-map-marker' => 'map-marker',
					'aixeena-glyphicon-adjust' => 'adjust',
					'aixeena-glyphicon-tint' => 'tint',
					'aixeena-glyphicon-edit' => 'edit',
					'aixeena-glyphicon-share' => 'share',
					'aixeena-glyphicon-check' => 'check',
					'aixeena-glyphicon-move' => 'move',
					'aixeena-glyphicon-step-backward' => 'step-backward',
					'aixeena-glyphicon-fast-backward' => 'fast-backward',
					'aixeena-glyphicon-backward' => 'backward',
					'aixeena-glyphicon-play' => 'play',
					'aixeena-glyphicon-pause' => 'pause',
					'aixeena-glyphicon-stop' => 'stop',
					'aixeena-glyphicon-forward' => 'forward',
					'aixeena-glyphicon-fast-forward' => 'fast-forward',
					'aixeena-glyphicon-step-forward' => 'step-forward',
					'aixeena-glyphicon-eject' => 'eject',
					'aixeena-glyphicon-chevron-left' => 'chevron-left',
					'aixeena-glyphicon-chevron-right' => 'chevron-right',
					'aixeena-glyphicon-plus-sign' => 'plus-sign',
					'aixeena-glyphicon-minus-sign' => 'minus-sign',
					'aixeena-glyphicon-remove-sign' => 'remove-sign',
					'aixeena-glyphicon-ok-sign' => 'ok-sign',
					'aixeena-glyphicon-question-sign' => 'question-sign',
					'aixeena-glyphicon-info-sign' => 'info-sign',
					'aixeena-glyphicon-screenshot' => 'screenshot',
					'aixeena-glyphicon-remove-circle' => 'remove-circle',
					'aixeena-glyphicon-ok-circle' => 'ok-circle',
					'aixeena-glyphicon-ban-circle' => 'ban-circle',
					'aixeena-glyphicon-arrow-left' => 'arrow-left',
					'aixeena-glyphicon-arrow-right' => 'arrow-right',
					'aixeena-glyphicon-arrow-up' => 'arrow-up',
					'aixeena-glyphicon-arrow-down' => 'arrow-down',
					'aixeena-glyphicon-share-alt' => 'share-alt',
					'aixeena-glyphicon-resize-full' => 'resize-full',
					'aixeena-glyphicon-resize-small' => 'resize-small',
					'aixeena-glyphicon-exclamation-sign' => 'exclamation-sign',
					'aixeena-glyphicon-gift' => 'gift',
					'aixeena-glyphicon-leaf' => 'leaf',
					'aixeena-glyphicon-eye-open' => 'eye-open',
					'aixeena-glyphicon-eye-close' => 'eye-close',
					'aixeena-glyphicon-warning-sign' => 'warning-sign',
					'aixeena-glyphicon-plane' => 'plane',
					'aixeena-glyphicon-random' => 'random',
					'aixeena-glyphicon-comment' => 'comment',
					'aixeena-glyphicon-magnet' => 'magnet',
					'aixeena-glyphicon-chevron-up' => 'chevron-up',
					'aixeena-glyphicon-chevron-down' => 'chevron-down',
					'aixeena-glyphicon-retweet' => 'retweet',
					'aixeena-glyphicon-shopping-cart' => 'shopping-cart',
					'aixeena-glyphicon-folder-close' => 'folder-close',
					'aixeena-glyphicon-folder-open' => 'folder-open',
					'aixeena-glyphicon-resize-vertical' => 'resize-vertical',
					'aixeena-glyphicon-resize-horizontal' => 'resize-horizontal',
					'aixeena-glyphicon-hdd' => 'hdd',
					'aixeena-glyphicon-bullhorn' => 'bullhorn',
					'aixeena-glyphicon-certificate' => 'certificate',
					'aixeena-glyphicon-thumbs-up' => 'thumbs-up',
					'aixeena-glyphicon-thumbs-down' => 'thumbs-down',
					'aixeena-glyphicon-hand-right' => 'hand-right',
					'aixeena-glyphicon-hand-left' => 'hand-left',
					'aixeena-glyphicon-hand-up' => 'hand-up',
					'aixeena-glyphicon-hand-down' => 'hand-down',
					'aixeena-glyphicon-circle-arrow-right' => 'circle-arrow-right',
					'aixeena-glyphicon-circle-arrow-left' => 'circle-arrow-left',
					'aixeena-glyphicon-circle-arrow-up' => 'circle-arrow-up',
					'aixeena-glyphicon-circle-arrow-down' => 'circle-arrow-down',
					'aixeena-glyphicon-globe' => 'globe',
					'aixeena-glyphicon-tasks' => 'tasks',
					'aixeena-glyphicon-filter' => 'filter',
					'aixeena-glyphicon-fullscreen' => 'fullscreen',
					'aixeena-glyphicon-dashboard' => 'dashboard',
					'aixeena-glyphicon-heart-empty' => 'heart-empty',
					'aixeena-glyphicon-link' => 'link',
					'aixeena-glyphicon-phone' => 'phone',
					'aixeena-glyphicon-usd' => 'usd',
					'aixeena-glyphicon-gbp' => 'gbp',
					'aixeena-glyphicon-sort' => 'sort',
					'aixeena-glyphicon-sort-by-alphabet' => 'sort-by-alphabet',
					'aixeena-glyphicon-sort-by-alphabet-alt' => 'sort-by-alphabet-alt',
					'aixeena-glyphicon-sort-by-order' => 'sort-by-order',
					'aixeena-glyphicon-sort-by-order-alt' => 'sort-by-order-alt',
					'aixeena-glyphicon-sort-by-attributes' => 'sort-by-attributes',
					'aixeena-glyphicon-sort-by-attributes-alt' => 'sort-by-attributes-alt',
					'aixeena-glyphicon-unchecked' => 'unchecked',
					'aixeena-glyphicon-expand' => 'expand',
					'aixeena-glyphicon-collapse-down' => 'collapse-down',
					'aixeena-glyphicon-collapse-up' => 'collapse-up',
					'aixeena-glyphicon-log-in' => 'log-in',
					'aixeena-glyphicon-flash' => 'flash',
					'aixeena-glyphicon-log-out' => 'log-out',
					'aixeena-glyphicon-new-window' => 'new-window',
					'aixeena-glyphicon-record' => 'record',
					'aixeena-glyphicon-save' => 'save',
					'aixeena-glyphicon-open' => 'open',
					'aixeena-glyphicon-saved' => 'saved',
					'aixeena-glyphicon-import' => 'import',
					'aixeena-glyphicon-export' => 'export',
					'aixeena-glyphicon-send' => 'send',
					'aixeena-glyphicon-floppy-disk' => 'floppy-disk',
					'aixeena-glyphicon-floppy-saved' => 'floppy-saved',
					'aixeena-glyphicon-floppy-remove' => 'floppy-remove',
					'aixeena-glyphicon-floppy-save' => 'floppy-save',
					'aixeena-glyphicon-floppy-open' => 'floppy-open',
					'aixeena-glyphicon-credit-card' => 'credit-card',
					'aixeena-glyphicon-transfer' => 'transfer',
					'aixeena-glyphicon-cutlery' => 'cutlery',
					'aixeena-glyphicon-header' => 'header',
					'aixeena-glyphicon-compressed' => 'compressed',
					'aixeena-glyphicon-earphone' => 'earphone',
					'aixeena-glyphicon-phone-alt' => 'phone-alt',
					'aixeena-glyphicon-tower' => 'tower',
					'aixeena-glyphicon-stats' => 'stats',
					'aixeena-glyphicon-sd-video' => 'sd-video',
					'aixeena-glyphicon-hd-video' => 'hd-video',
					'aixeena-glyphicon-subtitles' => 'subtitles',
					'aixeena-glyphicon-sound-stereo' => 'sound-stereo',
					'aixeena-glyphicon-sound-dolby' => 'sound-dolby',
					'aixeena-glyphicon-sound-5-1' => 'sound-5-1',
					'aixeena-glyphicon-sound-6-1' => 'sound-6-1',
					'aixeena-glyphicon-sound-7-1' => 'sound-7-1',
					'aixeena-glyphicon-copyright-mark' => 'copyright-mark',
					'aixeena-glyphicon-registration-mark' => 'registration-mark',
					'aixeena-glyphicon-cloud-download' => 'cloud-download',
					'aixeena-glyphicon-cloud-upload' => 'cloud-upload',
					'aixeena-glyphicon-tree-conifer' => 'tree-conifer',
					'aixeena-glyphicon-tree-deciduous' => 'tree-deciduous',
					'aixeena-glyphicon-briefcase' => 'briefcase',
					'aixeena-glyphicon-calendar' => 'calendar',
					'aixeena-glyphicon-pushpin' => 'pushpin',
					'aixeena-glyphicon-paperclip' => 'paperclip',
					'aixeena-glyphicon-camera' => 'camera',
					'aixeena-glyphicon-lock' => 'lock',
					'aixeena-glyphicon-bell' => 'bell',
					'aixeena-glyphicon-bookmark' => 'bookmark',
					'aixeena-glyphicon-fire' => 'fire',
					'aixeena-glyphicon-wrench' => 'wrench'
		);
	
	
		return JHtml::_('select.genericlist', $options, $this->name, 'class = "'.$this->class.'"', 'value', 'text', $this->value, $this->id);
	
	}




}
?>