<?php
	/*------------------------------------------------------------------------
	# Aixeena News (module)
	# ------------------------------------------------------------------------
	# version		4.0.0
	# author    	Top Position
	# copyright 	Copyright (c) 2018 Top Position All rights reserved.
	# @license 		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
	# Website		http://posicionamientoenbuscadoreswebseo.es/
	-------------------------------------------------------------------------
	*/
	// no direct access

	defined('_JEXEC') or die;
		
		$top_item = 1; // el item por defecto es top item
		$second_item = 0; // el item por defecto no es second item
		$link_item = 0; // el item por defecto no es link item
		
		if($topitems) { // si hay top items
			if($sw <= $topitems)  	{ $top_item = 1; $second_item = 0;  $link_item = 0; }// sigue siendo top item
			else   					{ $top_item = 0; $second_item = 1;  $link_item = 0; }// no ser top item	
		} 
		
		if($linkitems) {
			if( $second_item == 1) {
				
				if($sw <= $seconditems) { $top_item = 0; $second_item = 1;  $link_item = 0; }// sigue siendo top item
				else   					{ $top_item = 0; $second_item = 0;  $link_item = 1; }// no ser top item	
			}
		}
		
		
		
		if($params->get('urla',0)) {
			$urls  = json_decode($item->urls);
			if($urls->urla) $item->link = $urls->urla;
		}
		
		$suffix_expand = ''; $suffix_expandclass = '';
		
		if($params->get('show_expand',0)) {
		
			$item->link = 'javascript:void(null);';
			$suffix_expand = ' data-modal="aixeena-modal-'.$module->id.'-'.$item->id.'" ';
			$suffix_expandclass = ' md-trigger ';
		}
		
		
		
		// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> item images
		
		$image_scr = "";
		$image = '';
		$elementsmargin = '';
		$image_sw = 0;
		$image_alt = $item->title;
		
		
		
		$image_height = $params->get('vertical_image_height','');
		$image_width = 	$params->get('vertical_image_width','');
		$imgpos = $params->get('vertical_image_pos','top');
		
		
		if($params->get('show_image',1)) {
			$images  = json_decode($item->images);
			if(isset($images->image_intro)&&$images->image_intro) {
			
				//echo '<pre>';
				//print_r($images);
				//echo '</pre>';
				if(isset($images->image_intro_alt)&&$images->image_intro_alt) $image_alt = $images->image_intro_alt;
		
				$image_sw = 1;		
				$image .= '<div class="aixeena-image aiximgpos-'.$imgpos.' ">';
				$image_scr = JURI::base(true).'/'.htmlspecialchars($images->image_intro);
				if($params->get('linked_image',1)) $image .= '<a href="'.$item->link.'" '.$suffix_expand.' class="aixnewimghref '.$suffix_expandclass.'" title="'.$item->title.'">';
				$image .= '<img src="'.$image_scr.'" class="aixnewimg effect-'.$params->get('image_effects',0).' " alt="'.$image_alt.'" />';
				if($params->get('linked_image',1)) $image .= '</a>';
				
				
				if($top_item && $params->get('credits_image',0)) $image .= '<div class="credits-image">'.$image_alt.'</div>';
				
				
				$image .= '</div>';
			}

			if($second_item && !$params->get('second_items_image',0) || $link_item) {
				$image  = '';
				$image_sw = 0;
			}
			
		}
	
		// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> item author
		
		$author = '';
		if($params->get('show_aut',0))  {
		
			$icon = '';
			if($params->get('author_icon','none')!='none') $icon ='<span class="aixeena-glyphicon '.$params->get('author_icon','').'"></span> ';
			
			$author = $item->created_by_alias ? $item->created_by_alias : $item->author;
			if (!empty($item->contactid) && $params->get('link_aut',0) == true) {
				$needle = 'index.php?option=com_contact&view=contact&id=' . $item->contactid;
				$menu = JFactory::getApplication()->getMenu();
				$item_ = $menu->getItems('link', $needle, true);
				$cntlink = !empty($item_) ? $needle . '&Itemid=' . $item_->id : $needle;
				
				if($params->get('pre_aut',1)) {
					if($params->get('pre_aut_text','')=='') $author = JText::sprintf('COM_CONTENT_WRITTEN_BY', JHtml::_('link', JRoute::_($cntlink), $author));
					else $author = $params->get('pre_aut_text','') .' '. JHtml::_('link', JRoute::_($cntlink), $author);
				} else {
					$author = JHtml::_('link', JRoute::_($cntlink), $author);
				}
			} 
			else {
				if($params->get('pre_aut',1)) {
					if($params->get('pre_aut_text','')=='') $author = JText::sprintf('COM_CONTENT_WRITTEN_BY', $author);
					else $author = $params->get('pre_aut_text','') .' '. $author;
				} 
			}
			$author = '<span class="aixeenanews_author">'.$icon.$author.'</span>'; 
			
	
			if($second_item && !$params->get('second_items_author',0)) $author  = '';
			if($link_item) $author  = '';
					
		}
		
		
		// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> item category
		
		$category = ''; 
		
		if($params->get('show_header',1)) {
			$icon = '';
			if($params->get('category_icon','none')!='none') $icon ='<span class="aixeena-glyphicon '.$params->get('category_icon','').'"></span> ';
			$category .= '<span class="aixeenanews-category">';
			if($params->get('link_header',1))  {
				$category .='<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($item->catid)) .'" >'.$icon.$item->category_title.'</a>';
			}
			else {
				$category .= $icon.$item->category_title;
			}
			$category .= '</span>';
			
	
			if($second_item && !$params->get('second_items_category',0)) $category  = '';
			if($link_item) $category  = '';
		}
		
		
		// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> item title
		
		$title = ''; $title_clean = '';
		if($params->get('show_title',1)) { 
			$icon = '';
			if($params->get('title_icon','none')!='none') $icon ='<span class="aixeena-glyphicon '.$params->get('title_icon','').'"></span> ';
			
			if($params->get('links_items_icon','none')!='none' && $link_item) $icon ='<span class="aixeena-glyphicon '.$params->get('links_items_icon','').'"></span> ';
			
			
			if($params->get('link_title',0)) $title .= '<h2 class="aixeena-title aixchglink">'.$icon.'<a href="'.$item->link.'" '.$suffix_expand.' class="aixeena-title-a '.$suffix_expandclass.'">'.$item->title.'</a></h2>';
			else $title .= '<h2 class="aixeena-title aixchglink">'.$icon.$item->title.'</h2>';
			$title_clean = '<span class="aixeena-title-clean">'.$item->title.'</span>';
			
			$title_clean_link = '<span class="aixeena-title-clean">'.$icon.'<a href="'.$item->link.'" '.$suffix_expand.' class="aixeena-title-a '.$suffix_expandclass.'">'.$item->title.'</a></span>';
			
			if($link_item) $title_clean = $title_clean_link;
		}	 
		
		
		// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> item date
		
		
		$thedate = ''; $sdate = '';
		if(!$title) $sdate = 'titaix';
		if($params->get('show_date',1)) {
		
			$thedate = JHtml::_('date', $item->publish_up, JText::_($params->get('thedateformat','DATE_FORMAT_LC3')));
			$icon = '';
			if($params->get('thedateicon','none')!='none') $icon ='<span class="aixeena-glyphicon '.$params->get('thedateicon','').'"></span> ';
			$thedate = '<span class="aixeenanews-date '.$sdate.'">'.$icon.$thedate.'</span>';
			
		
			if($second_item && !$params->get('second_items_date',0))  $thedate  = '';
			if($link_item)  $thedate  = '';
			
		}
		
		
		// ___________________________________________________________________________________
		// _______________ text ___________________________________________________
		// ___________________________________________________________________________________

		$text = ''; $text_clean = '';
		
		if($params->get('show_intro',1)) {

			if($params->get('apend_suffix',1)) $suffix = $params->get('apend_suffix_text',' ...');
			else $suffix = '';
		
			$introtext = $item->introtext;
			if($params->get('strip_intro',1)) 	{
				$strip_intro_exceptions = strip_tags($params->get('strip_intro_exceptions',''))	;
				$introtext = strip_tags($introtext, $strip_intro_exceptions);
			}
			if($params->get('crop_intro',1)) 	$introtext = modaixeenanewsHelper::firstXChars($introtext, $params->get('crop',200), $suffix);
		
			$text .= '<div class="aixeena-introtext"><div class="aixeenanews-introtext">'.$introtext.'</div></div>';
			
			 $text_clean = '<span class="aixeena-introtext-clean">'.$introtext.'</span>';
			// if is not a top item
			if($second_item && !$params->get('second_items_introtext',0)) $text  = '';
			if($second_item && !$params->get('second_items_introtext',0)) $text_clean  = '';
			if($link_item)  $text  = '';
			if($link_item)  $text_clean  = '';
		
		}
		
		$expand = '';
		$readmore = '';
		$share = '';

?>