

function aixeenamodals() {
	
	var $main = jQuery( 'body' ); // the body
	var $triggers = $main.find( '.md-trigger' );  // all the modal triggers
	
	$triggers.each( function() { // for each trigger on the html body
		
		var $trigger = jQuery( this ); // the trigger
		var $modal = jQuery('#' + $trigger.attr( 'data-modal' )); // the modal target
		var $overlay = jQuery( '#overlay-' +  $modal.attr( 'data-module' ) ); // the overlay
		
		//$modal.responsive();	
				
		$trigger.click(function() {	// on trigger click
			
			jQuery(window).bind('resize', function() { 	// we add a resize event to the window
					$modal.responsive();				// on window resize we check the modal size
			});
			jQuery('.md-overlay').click(function(){		// we add a removal modal function to the overlay
			  removeModal(); 
			});
			
			$overlay.fadeIn('slow');
			
			$modal.css('visibility','visible');
			$modal.css('display','block');
			
			$modal.responsive();
			
			$modal.removeClass( 'md-show-out');
			$modal.addClass( 'md-show').on( 'animationend webkitAnimationEnd MSAnimationEnd oAnimationEnd', function() {
			});
			
		});
		
		function removeModal() {	
			$overlay.fadeOut( "slow");
			$modal.removeClass( 'md-show');
			$modal.addClass( 'md-show-out-ie8' );
			
			if (!jQuery.support.leadingWhitespace) {
				$modal.css('visibility','hidden');
			}
						
			//
			$modal.addClass( 'md-show-out' ).on( 'animationend webkitAnimationEnd MSAnimationEnd oAnimationEnd', function() {
				if($modal.hasClass('md-show-out'))	$modal.css('display','none');	 
			});
		}
		
		$modal.find('.md-close').click(function(){removeModal();});
		
	});	
	
}



(function($){
	
     $.fn.extend({
          center: function (options) {
               var options =  $.extend({ // Default values
                    inside:window, // element, center into window
                    transition: 0, // millisecond, transition time
                    minX:0, // pixel, minimum left element value
                    minY:0, // pixel, minimum top element value
                    withScrolling:false, // booleen, take care of the scrollbar (scrollTop)
                    vertical:true, // booleen, center vertical
                    horizontal:true // booleen, center horizontal
               }, options);
               return this.each(function() {
                    var props = {position:'fixed'};
                    if (options.vertical) {
                         var top = ($(options.inside).height() - ($(this).outerHeight() )) / 2;
                         if (options.withScrolling) top += $(options.inside).scrollTop() || 0;
                         top = (top > options.minY ? top : options.minY);
                         $.extend(props, {top: top+'px'});
                    }
                    if (options.horizontal) {
                          var left = ($(options.inside).width() - ($(this).outerWidth())) / 2;
                          if (options.withScrolling) left += $(options.inside).scrollLeft() || 0;
                          left = (left > options.minX ? left : options.minX);
                          $.extend(props, {left: left+'px'});
                    }
                    if (options.transition > 0) $(this).animate(props, options.transition);
                    else $(this).css(props);
                    return $(this);
               });
          }
     });

     $.fn.extend({
          responsive: function (options) {
               var options =  $.extend({ // Default values
                    inside:window
               }, options);
               return this.each(function() {
						
					// WIDTH operations
					
					var sizemode = $(this).attr('data-sizemode');
					
					// this is the actual window width
					var windowwidth = $(options.inside).width();
					//console.log('windowwidth:' + windowwidth);
					
					// this is the actual modal with
					var modalwidth = $(this).outerWidth();
					//console.log('modalwidth:' + modalwidth);
					
					// this is the desired modal with
					var datawidth = parseInt($(this).attr('data-width'));
					//console.log('datawidth:' + datawidth);	
					
					// this is the question
					// is the window width bigger than the desired with?
				
					
					if( windowwidth >= (datawidth + 20) || sizemode == 2) {
						// if yes it is, then allways the modal width must be like the desired width
						$(this).width(datawidth);
					}
					else {
						// if no, then the desired with is bigger than posible so the modal with
						// will be the window with resting 20 margin pixels
						$(this).width(windowwidth - 20);
					}
					
					
					// HEIGHT operations
					var windowheight = $(options.inside).height(); 
					var $header = $(this).find('.h3content').outerHeight();
					if($header==null) $header = 0;
					var $buttons = $(this).find('.md-buttons').outerHeight();
					if($buttons==null) $buttons = 0;
					
					var $paddingtop = $(this).find('.md-content-content').css('padding-top');
					var $paddingbottom = $(this).find('.md-content-content').css('padding-bottom');					
					var modalheight = $(this).outerHeight();
					var dataheight = parseInt($(this).attr('data-height')) 
					
					if( windowheight >= (dataheight + 20) || sizemode == 2) {
						$sizefinal = parseInt(dataheight) - parseInt($buttons) - parseInt($header) - parseInt($paddingtop) - parseInt($paddingbottom);
						
						
						$(this).find('.md-content-content').height($sizefinal);
					}
					else {
						$sizefinal = parseInt(windowheight) - 20 - parseInt($buttons) - parseInt($header) - parseInt($paddingtop) - parseInt($paddingbottom);
						$(this).find('.md-content-content').height($sizefinal); 
						
						
					}
					
				    $(this).center();
                    return $(this);
               });
          }
     });
	 
})(jQuery);

jQuery( document ).ready(function() {
	  	aixeenamodals();
});