<?php

	/*------------------------------------------------------------------------
	# Aixeena News (module)
	# ------------------------------------------------------------------------
	# version		4.0.0
	# author    	Top Position
	# copyright 	Copyright (c) 2018 Top Position All rights reserved.
	# @license 		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
	# Website		http://posicionamientoenbuscadoreswebseo.es/
	-------------------------------------------------------------------------
	*/
	// no direct access

	//if($CSS) $document->addStyleSheet($route_assets.'/css/item'.$vertical_design.'.css');
	
	if($CSS) $document->addStyleSheet($route_assets.'/css/template-carousel.css');
	// if there is a Carousel specific design
	
	$layout ="default.php";
	
	
	if($CSS) $document->addStyleSheet($route_assets.'/css/template-carousel-'.$params->get('carouseldesign','plain').'.css');
	

	if($js) {
		
			$easing = $params->get('easing','linear');
			$fx= $params->get('fx','scroll');
			$duration = $params->get('duration','600');
			$itemsvisible = $params->get('itemsvisible','');
			$slideitems = $params->get('slideitems','');
			
			
			//autoscroll
			if($params->get('timer',0)) $timer = ' , progress: "#foo'.$module->id.'_timer" ';
			else  $timer = '';
			$autoscroll = $params->get('autoscroll',0);
			if($autoscroll) $autoscroll = ', auto: {delay:'.$params->get('autoscrollnumber','3000').$timer.'}';
			else  $autoscroll = ', auto: false';
			
			
			
			$keyleft = ''; $keyright = '';
			
			if($params->get('keys',0)) {
				$keyleft = ' , key: "left"';
				$keyright = ' , key: "right"';
				
			} 
			
			if($params->get('timer',0)) $timer = ' , progress: "#foo'.$module->id.'_timer" ';
			else  $timer = '';
			
			if($params->get('circular',1)) $circular = '';
			else  $circular = ' , circular: false ';
			
			if($params->get('carouseldesign','plain')=='single' || $params->get('responsive',0)) $responsive = ',responsive  : true
';
			else  $responsive =  '';
			
			
			if($params->get('responsivebox',1)) $responsivebox = ' width   : "100%" ';
			else  $responsivebox = ' width   : "'.$params->get('carosusel_width','700').'px" ';
			
			
			//pauseOnHover: "resume",

     	
			if($itemsvisible) $itemsvisible = ', items: '.$itemsvisible .' ';
			if($slideitems) $slideitems = ', items: '.$slideitems.' ';
			
			 
			
			//if( responsive  : true,)

			 // Load CSS by layout
			$document->addScript($route_assets.'/js/carouFredSel-6.2.1.js');
			
			$thescript = "	
		<script type=".'"text/javascript"'.'>
		
		jQuery( document ).ready(function() {
  
  
  			jQuery("#aixeena_news'.$module->id.'").carouFredSel({

			'.$responsivebox.$itemsvisible.$responsive.$circular.$autoscroll.', 
			
			scroll: {

				fx: "'.$fx.'",
				'. $slideitems.'
				easing		: "'.$easing.'",
				duration	: '.$duration.'
			},
			
			prev : {
				button		: "#foo'.$module->id.'_prev"
				'.$keyleft.',
				fx: "'.$fx.'",
				'. $slideitems.'
				easing		: "'.$easing.'",
				duration	: '.$duration.'

			},
			next : {
				button		: "#foo'.$module->id.'_next"
				'.$keyright.',
				fx: "'.$fx.'",
				'. $slideitems.'
				easing		: "'.$easing.'",
				duration	: '.$duration.'
			},
			pagination : {
				container	: "#foo'.$module->id.'_pag"
			}
			
			})
		;
  
  
		});
		
		
	
		</script>';
			
			$thescript = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $thescript);
			$thescript = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $thescript);
			
			
			$document->addCustomTag($thescript);
				
	}
	
	if($params->get('horizontal_height_slider','')) $style = 'height:'. (int) $params->get('horizontal_height_slider','') .'px;';
	else $style = '';
	
	echo '<div class="aixeena_news_content axcarousel-'.$params->get('carouseldesign','plain').' aixnew-horizontal'.$vertical_design.' aixnew-horizontal-2" style="position: relative; overflow:hidden;" id = "axnews'.$module->id.'">';	
	
	if($params->get('boxtitle',0)) echo '<div class="boxtitle boxtitle-'.$params->get('carouseldesign','plain').'"><h3>'.$params->get('boxtitle_text',$module->title).'</h3></div>';
	
	if($params->get('customhtmltext','') && $params->get('htmltext',1) &&  $params->get('htmltextwhere','out')=='inside') echo '<div class="aixeena-news-html" id="aixeena-news-html-'.$module->id.'">'.$params->get('customhtmltext','').'</div>';

	
	
	
	
	echo '<div id="aixeena_news'.$module->id.'" class="aixeena_news" style="overflow:hidden;">';

	$sw = 0;
	if($list) {
		foreach ($list as $item) { 
			$sw++;
			include('config.php');			
			if($params->get('show_readmore',1)) include('readmorebutton.php');	// Read more button
			include('sharebuttons.php');	// Share Buttons
			//if($params->get('show_expand',0)) include('enlargebutton.php');	// Enlarge button	
			include('default-item.php');		
		}	
	}

	echo '	
		</div>';
		
	echo '
	<div class="aixeena-cleaner"></div>';

	if($params->get('timer',0)) echo  '<div class="timer" id="foo'.$module->id.'_timer"></div>';
		
		
	$paginationmode = $params->get('paginationmode',1);
	if($ie_old) $paginationmode = 1;
		
	if($params->get('pagination',1)) echo '
	<div class="aixnewcarpagination paginationnumbers-'.$params->get('paginationnumbers',1).' aixpagination-'.$paginationmode.' aixpagination-'.$params->get('paginationset','set1').'" id="foo'.$module->id.'_pag" style="top: '.$params->get('paginationtop','').'px;" ></div>
	';	
		
	if($params->get('show_more',0)) include('morenews.php');
	echo '
	</div>
	
';

	if($params->get('prevnext',1)) {	// if prev and next buttons are enabled
	
	
		// Top position for the next a previous arrows	
		$middleheight = ($module_height + 100) / 2 ; 
		if($params->get('flechatop','')) $middleheight = $params->get('flechatop','');
		else $middleheight = '-'.$middleheight; 
	
		if($params->get('prevnexttype',1)==1 && $ie_old == 0)   {  // if css icons
				
			echo '
		<a class="aixnewcarico aixnewcaricoprev" id="foo'.$module->id.'_prev" href="#" style="float:left;left:'.$params->get('flechaleft','-20').'px;top:'.$middleheight.'px"><span class="glyphicon glyphicon-chevron-left"></span></a><a class="aixnewcarico aixnewcariconext" id="foo'.$module->id.'_next" href="#" style="float:right; right:'.$params->get('flecharight','-20').'px;top:'.$middleheight.'px"><span class="glyphicon glyphicon-chevron-right"></span></a>';
		
		
		} else { // if not default csss image
		
		
		echo '
		<a class="aixnewcarprev aixnewcarimg aixnewcarimg-'.$params->get('prevnextdefaultimages','set1').'" id="foo'.$module->id.'_prev" href="#" style="float:left; left:'.$params->get('flechaleft','-20').'px;top:'.$middleheight.'px"></a><a class="aixnewcarnext aixnewcarimg aixnewcarimg-'.$params->get('prevnextdefaultimages','set1').'" id="foo'.$module->id.'_next" href="#" style="float:right; right:'.$params->get('flecharight','-20').'px;top:'.$middleheight.'px"></a>';
			
		
		} 
	
	}
	
	echo '
		
	
	';
?>