<?php

	/*------------------------------------------------------------------------
	# Aixeena News (module)
	# ------------------------------------------------------------------------
	# version		4.0.0
	# author    	Top Position
	# copyright 	Copyright (c) 2018 Top Position All rights reserved.
	# @license 		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
	# Website		http://posicionamientoenbuscadoreswebseo.es/
	-------------------------------------------------------------------------
	*/
	// no direct access
	
	if($CSS) $document->addStyleSheet($route_assets.'/css/template-list.css'); 
	
	if($js && $params->get('custom_scrollbar',0)) {
		$document->addStyleSheet($route_assets.'/custom-scrollbar-plugin/jquery.mCustomScrollbar.css');
		$document->addScript($route_assets.'/custom-scrollbar-plugin/js/jquery.mousewheel.min.js');
		$document->addScript($route_assets.'/custom-scrollbar-plugin/jquery.mCustomScrollbar.concat.min.js');
		
		if($params->get('custom_scrollbar_type',1)) $custom_scrollbar_type = 'horizontalScroll:true';
		else $custom_scrollbar_type = 'horizontalScroll:false';
		
		if($params->get('custom_scrollbar_buttons',1)) $custom_scrollbar_buttons = ', scrollButtons:{enable:true}';
		else $custom_scrollbar_buttons = '';
		
		if($params->get('custom_scrollbar_zone','box')=='box') $zone = '#axnews';
		else $zone = '#aixeena_news';		
				
		$thescript = "	
		<script type=".'"text/javascript"'.'>
		jQuery( window ).load(function() { 
				jQuery("'.$zone.$module->id.'").mCustomScrollbar({
		'.$custom_scrollbar_type.', theme:"'.$params->get('custom_scrollbar_theme','light').'"'.$custom_scrollbar_buttons.', scrollInertia:'.$params->get('custom_scrollbar_inertia','2000').', autoHideScrollbar:'.$params->get('custom_scrollbar_hide','false').'
		}); 
		
		});		
		</script>';
		
		$thescript = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $thescript);
		$thescript = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $thescript);
		$document->addCustomTag($thescript);
	}
	
	
	$class_list = $params->get('list_class_ul','').' ';
	$div = 'ul';
	
	if($params->get('bootstrap_class_ul',1)) {
		$class_list .= ' aixeena-list-group ';
		$div = 'div';
	}
	
	
	echo '
	<div class="aixeena_news_content aixnew-'.$layout.$vertical_design.$horizontal_design.' aixnew-'.$layout.'-'.$horizontal.'"  '.$style.' id = "axnews'.$module->id.'">	';
	
			if($params->get('boxtitle',0)) echo '<div class="boxtitle boxtitle-'.$params->get('horizontaldesign','plain').'"><h3>'.$params->get('boxtitle_text',$module->title).'</h3></div>';
		
		if($params->get('customhtmltext','') && $params->get('htmltext',1) &&  $params->get('htmltextwhere','out')=='inside') echo '<div class="aixeena-news-html" id="aixeena-news-html-'.$module->id.'">'.$params->get('customhtmltext','').'</div>';
	
	echo'
		<div id="aixeena_news'.$module->id.'" class="aixeena_news">
			<'.$div.' id="aixeena-news-ul-'.$module->id.'" class="'.$class_list.'">';
	
	
	if($params->get('list_header',0)) {
		$class_item = ''; 
		
		if($params->get('iconlist_header','none')=='none') $iconlist = '';
		else $iconlist = '<span class="aixeena-glyphicon '.$params->get('iconlist_header','none').'"></span> ';
		
		if($params->get('bootstrap_class_ul',1)) {
			$class_item .= ' aixeena-list-group-item ';
			echo ' 
		<div class="aixeena-list-header aixeena-list-header-'.$module->id.' '.$class_item.'"><h3>'.$iconlist.$params->get('list_header_text',$module->title).'</h3></div>';
			
		} else {
			echo ' 
		<li><div class="aixeena-list-header aixeena-list-header-'.$module->id.' '.$class_item.'"><h3>'.$iconlist.$params->get('list_header_text',$module->title).'</h3></div></li>';
		}
	}
	
	$sw = 0;
	if($list) {
		foreach ($list as $item) { 
		
			$sw++;
			include('config.php');			
			include('default-list-item.php');		
		}	
	}
	
	if($params->get('list_footer',0)) {
		
		$class_item = ''; 
		
		if($params->get('iconlist_footer','none')=='none') $iconlist = '';
		else $iconlist = '<span class="aixeena-glyphicon '.$params->get('iconlist_footer','none').'"></span> ';
		
		if($params->get('bootstrap_class_ul',1)) {
			$class_item .= ' aixeena-list-group-item ';
			echo ' 
		<a class="aixeena-list-footer aixeena-list-footer-'.$module->id.' '.$class_item.'" href="'.$params->get('list_footer_link','').'">'.$iconlist.$params->get('list_footer_text','').'</a>';
			
		} else {
			echo ' 
		<li><a class="aixeena-list-footer aixeena-list-footer-'.$module->id.' '.$class_item.'" href="'.$params->get('list_footer_link','').'">'.$iconlist.$params->get('list_footer_text','').'</a></li>';
		}
	}
	
	echo '
			</'.$div.'>
		</div>';
	
		if($params->get('show_more',0)) include('morenews.php');
	
	echo '
</div>
';




?>