<?php
	/*------------------------------------------------------------------------
	# Aixeena News (module)
	# ------------------------------------------------------------------------
	# version		4.0.0
	# author    	Top Position
	# copyright 	Copyright (c) 2018 Top Position All rights reserved.
	# @license 		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
	# Website		http://posicionamientoenbuscadoreswebseo.es/
	-------------------------------------------------------------------------
	*/
	// no direct access


	defined('_JEXEC') or die;
	
	$IE6 = (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 6')) ? true : false;
    $IE7 = (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 7') ) ? true : false;
    $IE8 = (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 8') ) ? true : false;


	if (($IE6 == 1) || ($IE7 == 1) || ($IE8 == 1)) $ie_old = 1;
	else $ie_old = 0;
	
	
	// --------------------------------------------------- General params (v2)	
	
	// routes
	$route = 		JURI::base(true).'/modules/mod_aixeenanews/';
	$route_assets= 	JURI::base(true).'/modules/mod_aixeenanews/assets';
	
	$layout = 'default.php';
	
	$readmore_clean = '';
	
	$layout = $params->get('layoutmode','horizontal'); 	// 	horizontal, vertical
	
	if($layout=='horizontal') $horizontal = 1;
	else $horizontal = 0;
	
	if($layout=='vertical') $vertical = 1;
	else $vertical = 0;
	
	if( $layout=='horizontal' || $layout=='vertical' || $layout=='carousel') $with_items = 1;
	else $with_items = 0;
	
	if($layout=='carousel') $carousel = 1;
	else $carousel = 0;
	
	if($layout=='horizontal' && $params->get('masonry',1)) $masonry = 1;
	else $masonry = 0;
	
	// --------------------------------------------------- General params (v2)	
	
	$CSS = $params->get('includecss',1);
	$js  = $params->get('includejs',1);	
	
	//------------------------------------------------------ width & height v2
	
	$module_height = $params->get('vertical_height','');
	$module_width = $params->get('vertical_width','');
	
	if($carousel && $module_height=='') $module_height = 300;
	
	
	
	$style = '';
	$style_item = '';
	
	if($module_height) $style .= 'height:'.$module_height.'px; ';
	if($module_width) $style .= 'width:'.$module_width.'px; '; 
	
	$vertical_design = '-' . $params->get('vertical_design','boxes');
	$horizontal_design = $vertical_design;
	

	//Vertical scroll
	$vertical_overflow = '';
	$vertical_scroll = $params->get('vertical_scroll',0);
	if($module_height) $vertical_overflow = 'overflow: hidden; position: relative;';  
	else $vertical_scroll = 0;
	
	
	$scrollpading = (int) $params->get('module_padding',0);
	
	
	if($layout=='horizontal'&&$horizontal==2)  $style_item .= 'overflow:hidden;';

	$style .= $vertical_overflow;
	
	//$style .= ' padding-left:40px; padding-right:40px; ';
	
	if($style) $style = ' style="'.$style.'"';
	if($style_item) $style_item = ' style="'.$style_item.'"';
		
	


	// add custom CSS 
	
	$addCSS = '';


	$itembackgroundcolor = '';
	$itemwidth = '';
	$padding  = '15px';
	
	
	// --------------------------------------------------- General styles (v2)	
	
	
	//$backgroundcolor = 	$params->get('module_background_color','');
	//$modulepadding = 	$params->get('module_padding','');
	//$modulemargin = 	$params->get('module_margin','');
	
	$font_family  		= 	$params->get('font_family','');
	$font_size			= 	$params->get('font_size','');
	$line_height		= 	$params->get('line_height','');
	$text_color			= 	$params->get('module_text_color','');
	$link_color			= 	$params->get('module_link_color','');
	$link_hover_color	= 	$params->get('link_hover_color','');	
	$module_link_decoration			= 	$params->get('module_link_decoration','');
	$module_link_hover_decoration	= 	$params->get('module_link_hover_decoration','');
	
	//echo 'module_link_hover_decoration: '. $params->get('module_link_hover_decoration','');
	
	$addCSSgeneral = '';
	$addCSSgeneral2 = '';
	
	//if($backgroundcolor) $addCSSgeneral .= 'background-color:'.$backgroundcolor.';';
	//if($modulepadding) $addCSSgeneral2 .= 'padding:'.$modulepadding.'px;';
	//if($modulemargin) $addCSSgeneral .= 'margin:'.$modulemargin.'px;';
	
	if($font_family) $addCSSgeneral .= 'font-family:'.$font_family.';';
	if($font_size) $addCSSgeneral .= 'font-size:'.$font_size.';';
	if($line_height) $addCSSgeneral .= 'line-height:'.$line_height.';';
	if($text_color) $addCSSgeneral .= 'color:'.$text_color.';';
	
	if($addCSSgeneral) $addCSS .='
#axnews'.$module->id.' {'.$addCSSgeneral.';}';

	if($addCSSgeneral2) $addCSS .='
#aixeena_news'.$module->id.' {'.$addCSSgeneral2.';}';
	


	$addCSSgeneral = '';
	if($link_color) $addCSSgeneral .= 'color:'.$link_color.';';
	if($module_link_decoration) $addCSSgeneral .= 'text-decoration:'.$module_link_decoration.';';
	
	if($addCSSgeneral) $addCSS .='
#axnews'.$module->id.' .aixeena_news  a {'.$addCSSgeneral.';}';

	$addCSSgeneral = '';
	if($link_hover_color) $addCSSgeneral .= 'color:'.$link_hover_color.';';
	if($module_link_hover_decoration) $addCSSgeneral .= 'text-decoration:'.$module_link_hover_decoration.';';
	
	if($addCSSgeneral) $addCSS .='
#axnews'.$module->id.' .aixeena_news  a:hover {'.$addCSSgeneral.';}';


	//  --------------------------------------------------- div items styles (v2)
	
	if($with_items) {
	
	
			if($params->get('item_border','')!='') {
			
				$addCSS .='#axnews'.$module->id.' .aixeena_news .aixeena_news_item.link-item-0 {
					border:'.$params->get('item_border','').'px '.$params->get('item_border_color','#cccccc').' solid;
					border-radius:'.$params->get('item_border_radius',0).'px;
				} ';
			
			}
	
	
		// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> title CSS
		
		$addCSSgeneral = '';
		$elements_padding		= 	$params->get('elements_padding','');
		$elements_back_color	= 	$params->get('elements_back_color','');
		if($elements_padding) $addCSSgeneral .= 'padding:'.$elements_padding.'px;';
		if($elements_back_color) $addCSSgeneral .= 'background-color:'.$elements_back_color.';';		
	
		if($addCSSgeneral) $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeena-elements {'.$addCSSgeneral.'}';
		
		
		
		if($params->get('show_intro',1)) {
		
			$addCSSgeneral = '';
			$introtext_font_family	= 	$params->get('introtext_font_family','');
			$introtext_font_size	= 	$params->get('introtext_font_size','');
			$introtext_line_height	= 	$params->get('introtext_line_height','');
			$introtext_text_color	= 	$params->get('introtext_text_color','');
			$introtext_back_color	= 	$params->get('introtext_back_color','');
			$introtext_padding_left	= 	$params->get('introtext_padding_left','');
			$introtext_padding_right	= 	$params->get('introtext_padding_right','');
			$introtext_padding_top	= 	$params->get('introtext_padding_top','');
			$introtext_padding_bottom	= 	$params->get('introtext_padding_bottom','');
			$introtext_link_color	= 	$params->get('introtext_link_color','');
			$introtext_link_decoration	= 	$params->get('introtext_link_decoration','');
			
			if($introtext_padding_left) $addCSSgeneral .= 'padding-left:'.$introtext_padding_left.'px;';
			if($introtext_padding_right) $addCSSgeneral .= 'padding-right:'.$introtext_padding_right.'px;';
			if($introtext_padding_top) $addCSSgeneral .= 'padding-top:'.$introtext_padding_top.'px;';
			if($introtext_padding_bottom) $addCSSgeneral .= 'padding-bottom:'.$introtext_padding_bottom.'px;';
				
			if($introtext_font_family) $addCSSgeneral .= 'font-family:'.$introtext_font_family.';';
			if($introtext_font_size) $addCSSgeneral .= 'font-size:'.$introtext_font_size.';';
			if($introtext_line_height) $addCSSgeneral .= 'line-height:'.$introtext_line_height.';';
			if($introtext_text_color) $addCSSgeneral .= 'color:'.$introtext_text_color.';';
			if($introtext_back_color) $addCSSgeneral .= 'background-color:'.$introtext_back_color.';';		
			
			if($addCSSgeneral) $addCSS .='
			#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeena-introtext, #axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeena-introtext-clean {'.$addCSSgeneral.'}';
			
			$addCSSgeneral = '';
			if($introtext_link_color) $addCSSgeneral .= 'color:'.$introtext_link_color.';';
			if($introtext_link_decoration) $addCSSgeneral .= 'text-decoration:'.$introtext_link_decoration.';';
			
			if($addCSSgeneral) $addCSS .='
			#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeena-introtext a, #axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeena-introtext-clean a{'.$addCSSgeneral.'}';
			
			$addCSSgeneral = '';
			
			$introtext_link_hover_color	= 	$params->get('introtext_link_hover_color','');
			$introtext_link_hover_decoration	= 	$params->get('introtext_link_hover_decoration','');
			
			if($addCSSgeneral) $addCSS .='
			#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeena-introtext a:hover, #axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeena-introtext-clean a:hover{'.$addCSSgeneral.'}';

		
		}
		
		if($params->get('show_image',1)) {
		
			$addCSSgeneral = '';
			$vertical_image_pos	= 	$params->get('vertical_image_pos','top');
			$vertical_image_height	= 	$params->get('vertical_image_height','');
			$vertical_image_width	= 	$params->get('vertical_image_width','');
			
			$image_padding	= 	$params->get('image_padding','');
			$image_border	= 	$params->get('image_border','');
			$image_border_color	= 	$params->get('image_border_color','');
			$image_border_radius	= 	$params->get('image_border_radius','');
			$image_back_color	= 	$params->get('image_back_color','');
			$imagediv_padding	= 	$params->get('imagediv_padding','');
			$imagediv_back_color	= 	$params->get('imagediv_back_color','');
		
			if($vertical_image_height) $addCSSgeneral .= 'height:'.$vertical_image_height.';';
			if($vertical_image_width) $addCSSgeneral .= 'width:'.$vertical_image_width.';';
			if($image_padding) $addCSSgeneral .= 'padding:'.$image_padding.'px;';
			
			if($params->get('image_border','')!='') $addCSSgeneral .='
				border:'.$params->get('image_border','').'px '.$params->get('image_border_color','#cccccc').' solid;
				border-radius:'.$params->get('image_border_radius',0).'px; ';
				
			if($image_back_color) $addCSSgeneral .= 'background-color:'.$image_back_color.';';
		
			if($addCSSgeneral) $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item img.aixnewimg {'.$addCSSgeneral.'}';
		
			$addCSSgeneral = '';
				
			if($vertical_image_pos=='left') $addCSSgeneral .= 'float:left; margin-right:10px;';
			if($vertical_image_pos=='right') $addCSSgeneral .= 'float:right; margin-left:10px;';
			if($imagediv_padding) $addCSSgeneral .= 'padding:'.$imagediv_padding.'px;';
			if($imagediv_back_color) $addCSSgeneral .= 'background-color:'.$imagediv_back_color.';';
			
			if($addCSSgeneral) $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeena-image {'.$addCSSgeneral.'}';
			
			$addCSSgeneral = '';
			
			$elementsmargin = $params->get('elementsmarginpx',0);
			if($params->get('elementsmargin',0)&& $elementsmargin && $vertical_image_pos=='left') $addCSSgeneral .= 'margin-left:'.$elementsmargin.'px;';
			if($params->get('elementsmargin',0)&& $elementsmargin && $vertical_image_pos=='right') $addCSSgeneral .= 'margin-right:'.$elementsmargin.'px;';
			
			if($addCSSgeneral) $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item_image-1 .aixeena-elements {'.$addCSSgeneral.'}';
					
		
		}
	
		
		// >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> title CSS
		
		if($params->get('show_title',1))  {
	
			$padding_left			= 	$params->get('title_padding_left','');
			$padding_right 			= 	$params->get('title_padding_right','');
			$padding_top 			= 	$params->get('title_padding_top','');
			$padding_bottom 		= 	$params->get('title_padding_bottom','');
			
			$font_family  		= 	$params->get('title_font_family','');
			$font_size			= 	$params->get('title_font_size','');
			$line_height		= 	$params->get('title_line_height','');
			$text_color			= 	$params->get('title_text_color','');
			$title_back_color	= 	$params->get('title_back_color','');
			
			$link_color			= 	$params->get('title_link_color','');
			$link_hover_color	= 	$params->get('title_link_hover_color','');
			$title_link_decoration			= 	$params->get('title_link_decoration','');
			$title_link_hover_decoration	= 	$params->get('title_link_hover_decoration','');
			
			$addCSSgeneral = '';
			
			if($padding_left) $addCSSgeneral .= 'padding-left:'.$padding_left.'px;';
			if($padding_right) $addCSSgeneral .= 'padding-right:'.$padding_right.'px;';
			if($padding_top) $addCSSgeneral .= 'padding-top:'.$padding_top.'px;';
			if($padding_bottom) $addCSSgeneral .= 'padding-bottom:'.$padding_bottom.'px;';
				
			if($font_family) $addCSSgeneral .= 'font-family:'.$font_family.';';
			if($font_size) $addCSSgeneral .= 'font-size:'.$font_size.';';
			if($line_height) $addCSSgeneral .= 'line-height:'.$line_height.';';
			if($text_color) $addCSSgeneral .= 'color:'.$text_color.';';
			if($title_back_color) $addCSSgeneral .= 'background-color:'.$title_back_color.';';
			
			if($addCSSgeneral) $addCSS .='
			#axnews'.$module->id.' .aixeena_news .aixeena_news_item h2{'.$addCSSgeneral.';}
			#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeena-title-clean{'.$addCSSgeneral.';}
			
			';
			
		
			$addCSSgeneral = '';
			if($link_color) $addCSSgeneral .= 'color:'.$link_color.';';
			if($title_link_decoration) $addCSSgeneral .= 'text-decoration:'.$title_link_decoration.';';
			
			if($addCSSgeneral) $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item h2.aixchglink a {'.$addCSSgeneral.';}
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeena-title-clean a {'.$addCSSgeneral.';}';
		
			$addCSSgeneral = '';
			if($link_hover_color) $addCSSgeneral .= 'color:'.$link_hover_color.';';
			if($title_link_hover_decoration) $addCSSgeneral .= 'text-decoration:'.$title_link_hover_decoration.';';
			
			if($addCSSgeneral) $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item h2.aixchglink a:hover {'.$addCSSgeneral.';}
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeena-title-clean a:hover {'.$addCSSgeneral.';}
		';

		} // end of title css
		
		
		// author CSS	
		if($params->get('show_aut',0))  {
	
			$padding_left			= 	$params->get('author_padding_left','');
			$padding_right 			= 	$params->get('author_padding_right','');
			$padding_top 			= 	$params->get('author_padding_top','');
			$padding_bottom 		= 	$params->get('author_padding_bottom','');			
			
			$font_family  		= 	$params->get('author_font_family','');
			$font_size			= 	$params->get('author_font_size','');
			$line_height		= 	$params->get('author_line_height','');
			$text_color			= 	$params->get('author_text_color','');
			$link_color			= 	$params->get('author_link_color','');
			$link_hover_color	= 	$params->get('author_link_hover_color','');
			$author_link_decoration			= 	$params->get('author_link_decoration','');
			$author_link_hover_decoration	= 	$params->get('author_link_hover_decoration','');
		
			$addCSSgeneral = '';
			
			if($padding_bottom) $addCSSgeneral .= 'padding-bottom:'.$padding.';';
			if($padding_top) $addCSSgeneral .= 'padding-top:'.$padding.';';
			if($padding_left) $addCSSgeneral .= 'padding-left:'.$padding.';';
			if($padding_right) $addCSSgeneral .= 'padding-right:'.$padding.';';
			
			if($font_family) $addCSSgeneral .= 'font-family:'.$font_family.';';
			if($font_size) $addCSSgeneral .= 'font-size:'.$font_size.';';
			if($line_height) $addCSSgeneral .= 'line-height:'.$line_height.';';
			if($text_color) $addCSSgeneral .= 'color:'.$text_color.';';
			
			if($addCSSgeneral) $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeenanews_author{'.$addCSSgeneral.';}';
		
			$addCSSgeneral = '';
			if($link_color) $addCSSgeneral .= 'color:'.$link_color.';';
			if($author_link_decoration) $addCSSgeneral .= 'text-decoration:'.$author_link_decoration.';';
			
			if($addCSSgeneral) $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeenanews_author a {'.$addCSSgeneral.';}';
		
			$addCSSgeneral = '';
			if($link_hover_color) $addCSSgeneral .= 'color:'.$link_hover_color.';';
			if($author_link_hover_decoration) $addCSSgeneral .= 'text-decoration:'.$author_link_hover_decoration.';';
			
			if($addCSSgeneral) $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeenanews_author a:hover {'.$addCSSgeneral.';}';

		} // end of author css
		
		
		if($params->get('show_readmore',1))  {
		
			$addCSSgeneral = '';
			$readmore_padding_left	= 	$params->get('readmore_padding_left','');
			$readmore_padding_right	= 	$params->get('readmore_padding_right','');
			$readmore_padding_top	= 	$params->get('readmore_padding_top','');
			$readmore_padding_bottom	= 	$params->get('readmore_padding_bottom','');
			if($readmore_padding_left) $addCSSgeneral .= 'padding-left:'.$readmore_padding_left.'px;';
			if($readmore_padding_right) $addCSSgeneral .= 'padding-right:'.$readmore_padding_right.'px;';
			if($readmore_padding_top) $addCSSgeneral .= 'padding-top:'.$readmore_padding_top.'px;';
			if($readmore_padding_bottom) $addCSSgeneral .= 'padding-bottom:'.$readmore_padding_bottom.'px;';
		
			if($addCSSgeneral) $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeena-buttons {'.$addCSSgeneral.';}';
		
		}
		
		if($params->get('show_share',0))  {
		
			$addCSSgeneral = '';
			$sharebuttons_padding_left	= 	$params->get('sharebuttons_padding_left','');
			$sharebuttons_padding_right	= 	$params->get('sharebuttons_padding_right','');
			$sharebuttons_padding_top	= 	$params->get('sharebuttons_padding_top','');
			$sharebuttons_padding_bottom	= 	$params->get('sharebuttons_padding_bottom','');
			if($sharebuttons_padding_left) $addCSSgeneral .= 'padding-left:'.$sharebuttons_padding_left.'px;';
			if($sharebuttons_padding_right) $addCSSgeneral .= 'padding-right:'.$sharebuttons_padding_right.'px;';
			if($sharebuttons_padding_top) $addCSSgeneral .= 'padding-top:'.$sharebuttons_padding_top.'px;';
			if($sharebuttons_padding_bottom) $addCSSgeneral .= 'padding-bottom:'.$sharebuttons_padding_bottom.'px;';
		
			if($addCSSgeneral) $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeena-sharebuttons {'.$addCSSgeneral.';}';
		
			if($params->get('share_textalign','right') == 'left') $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeena-sharebuttons .aixeenanews-share{float:left;}';
			
			
		}
		
		
		
		// category CSS	
		if($params->get('show_header',1))  {
	

			$font_family  		= 	$params->get('category_font_family','');
			$font_size			= 	$params->get('category_font_size','');
			$line_height		= 	$params->get('category_line_height','');
			$text_color			= 	$params->get('category_text_color','');
			$link_color			= 	$params->get('category_link_color','');
			$link_hover_color	= 	$params->get('category_link_hover_color','');
			$category_link_decoration			= 	$params->get('category_link_decoration','');
			$category_link_hover_decoration	= 	$params->get('category_link_hover_decoration','');
		
			$category_padding_left	= 	$params->get('category_padding_left','');
			$category_padding_right	= 	$params->get('category_padding_right','');
			$category_padding_top	= 	$params->get('category_padding_top','');
			$category_padding_bottom	= 	$params->get('category_padding_bottom','');
			if($category_padding_left) $addCSSgeneral .= 'padding-left:'.$category_padding_left.'px;';
			if($category_padding_right) $addCSSgeneral .= 'padding-right:'.$category_padding_right.'px;';
			if($category_padding_top) $addCSSgeneral .= 'padding-top:'.$category_padding_top.'px;';
			if($category_padding_bottom) $addCSSgeneral .= 'padding-bottom:'.$category_padding_bottom.'px;';
		
			$addCSSgeneral = '';

			if($font_family) $addCSSgeneral .= 'font-family:'.$font_family.';';
			if($font_size) $addCSSgeneral .= 'font-size:'.$font_size.';';
			if($line_height) $addCSSgeneral .= 'line-height:'.$line_height.';';
			if($text_color) $addCSSgeneral .= 'color:'.$text_color.';';
			
			if($addCSSgeneral) $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeenanews-category {'.$addCSSgeneral.';}';
		
			$addCSSgeneral = '';
			if($link_color) $addCSSgeneral .= 'color:'.$link_color.';';
			if($category_link_decoration) $addCSSgeneral .= 'text-decoration:'.$category_link_decoration.';';
			
			if($addCSSgeneral) $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeenanews-category a {'.$addCSSgeneral.';}';
		
			$addCSSgeneral = '';
			if($link_hover_color) $addCSSgeneral .= 'color:'.$link_hover_color.';';
			if($category_link_hover_decoration) $addCSSgeneral .= 'text-decoration:'.$category_link_hover_decoration.';';
			
			if($addCSSgeneral) $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeenanews-category a:hover {'.$addCSSgeneral.';}';

		} // end of category css
		
		// date CSS	
		if($params->get('show_date',1))  {
	
			$padding 			= 	$params->get('date_padding','');
			$font_family  		= 	$params->get('date_font_family','');
			$font_size			= 	$params->get('date_font_size','');
			$line_height		= 	$params->get('date_line_height','');
			$text_color			= 	$params->get('date_text_color','');
		
			$addCSSgeneral = '';
			
			$date_padding_left	= 	$params->get('date_padding_left','');
			$date_padding_right	= 	$params->get('date_padding_right','');
			$date_padding_top	= 	$params->get('date_padding_top','');
			$date_padding_bottom	= 	$params->get('date_padding_bottom','');
			if($date_padding_left) $addCSSgeneral .= 'padding-left:'.$date_padding_left.'px;';
			if($date_padding_right) $addCSSgeneral .= 'padding-right:'.$date_padding_right.'px;';
			if($date_padding_top) $addCSSgeneral .= 'padding-top:'.$date_padding_top.'px;';
			if($date_padding_bottom) $addCSSgeneral .= 'padding-bottom:'.$date_padding_bottom.'px;';	
	
			if($font_family) $addCSSgeneral .= 'font-family:'.$font_family.';';
			if($font_size) $addCSSgeneral .= 'font-size:'.$font_size.';';
			if($line_height) $addCSSgeneral .= 'line-height:'.$line_height.';';
			if($text_color) $addCSSgeneral .= 'color:'.$text_color.';';
			
			
			$link_color			= 	$params->get('html_link_color','');
			$link_hover_color	= 	$params->get('html_link_hover_color','');
			$category_link_decoration			= 	$params->get('html_link_decoration','');
			$category_link_hover_decoration	= 	$params->get('html_link_hover_decoration','');
			
			
			if($addCSSgeneral) $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeenanews-date {'.$addCSSgeneral.';}';
		
			$addCSSgeneral = '';
			if($link_color) $addCSSgeneral .= 'color:'.$link_color.';';
			
			if($addCSSgeneral) $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeenanews-date a {'.$addCSSgeneral.';}';
		
			$addCSSgeneral = '';
			if($link_hover_color) $addCSSgeneral .= 'color:'.$link_hover_color.';';
			
			if($addCSSgeneral) $addCSS .='
		#axnews'.$module->id.' .aixeena_news .aixeena_news_item .aixeenanews-date a:hover {'.$addCSSgeneral.';}';

		} // end of date css
		
	}
	
	
	
	if($params->get('htmltext',0))  {
	
			$addCSSgeneral = '';
	

			$font_family  		= 	$params->get('html_font_family','');
			$font_size			= 	$params->get('html_font_size','');
			$line_height		= 	$params->get('html_line_height','');
			$text_color			= 	$params->get('html_text_color','');
			$html_backcolor		= 	$params->get('html_backcolor','');
			
			$html_padding		= 	$params->get('html_padding','');
			$html_margin		= 	$params->get('html_margin','');
			
			$html_link_color		= 	$params->get('html_link_color','');
			$html_link_decoration	= 	$params->get('html_link_decoration','');
			
			$html_link_hover_color	= 	$params->get('html_link_hover_color','');
			$html_link_hover_decoration	= $params->get('html_link_hover_decoration','');
			
			if($html_padding) $addCSSgeneral .= 'padding:'.$html_padding.'px;';
			if($html_margin) $addCSSgeneral .= 'margin:'.$html_margin.'px;';
			if($font_family) $addCSSgeneral .= 'font-family:'.$font_family.';';
			if($font_size) $addCSSgeneral .= 'font-size:'.$font_size.';';
			if($line_height) $addCSSgeneral .= 'line-height:'.$line_height.';';
			if($text_color) $addCSSgeneral .= 'color:'.$text_color.';';
			if($html_backcolor) $addCSSgeneral .= 'background-color:'.$html_backcolor.';';
			
			
			if($params->get('html_border','')!='') $addCSS .='	
					border:'.$params->get('html_border','').'px '.$params->get('html_border_color','#cccccc').' solid; border-radius:'.$params->get('html_border_radius',0).'px;';		
			
			
			if($addCSSgeneral) $addCSS .='
		#aixeena-news-html-'.$module->id.' {'.$addCSSgeneral.';}';
		
			$addCSSgeneral = '';
			if($html_link_color) $addCSSgeneral .= 'color:'.$html_link_color.';';
			if($html_link_decoration) $addCSSgeneral .= 'text-decoration:'.$html_link_decoration.';';
			
			if($addCSSgeneral) $addCSS .='
		#aixeena-news-html-'.$module->id.' a {'.$addCSSgeneral.';}';
		
			$addCSSgeneral = '';
			if($html_link_hover_color) $addCSSgeneral .= 'color:'.$link_hover_color.';';
			if($html_link_hover_decoration) $addCSSgeneral .= 'text-decoration:'.$html_link_hover_decoration.';';
			
			if($addCSSgeneral) $addCSS .='
		#aixeena-news-html-'.$module->id.' a:hover {'.$addCSSgeneral.';}';

		} 
	
	
	
	
	//  --------------------------------------------------- end div items styles (v2)
	
	
	$addCSSitem = '';
	
	$itembackgroundcolor = $params->get('vitem_background_color','');
	if($itembackgroundcolor) $addCSSitem .= 'background-color:'.$itembackgroundcolor.';';
	
	$padding_left =  $params->get('vitem_padding_left','');
	if($padding_left) $addCSSitem .= 'padding-left:'.$padding_left.'px;';
	$padding_right =  $params->get('vitem_padding_right','');
	if($padding_right) $addCSSitem .= 'padding-right:'.$padding_right.'px;';
	$padding_top =  $params->get('vitem_padding_top','');
	if($padding_top) $addCSSitem .= 'padding-top:'.$padding_top.'px;';
	$padding_bottom =  $params->get('vitem_padding_bottom','');
	if($padding_bottom) $addCSSitem .= 'padding-bottom:'.$padding_bottom.'px;';
	
	$margin_left =  $params->get('item_margin_left','');
	if($margin_left) $addCSSitem .= 'margin-left:'.$margin_left.'px;';
	$margin_right =  $params->get('item_margin_right','');
	if($margin_right) $addCSSitem .= 'margin-right:'.$margin_right.'px;';
	$margin_top =  $params->get('item_margin_top','');
	if($margin_top) $addCSSitem .= 'margin-top:'.$margin_top.'px;';
	$margin_bottom =  $params->get('item_margin_bottom','');
	if($margin_bottom) $addCSSitem .= 'margin-bottom:'.$margin_bottom.'px;';
	
	
	$itemwidth = $params->get('vitem_width','');
	if($itemwidth) $addCSSitem .= 'width:'.$itemwidth.'px;';
	
	$itemheight = $params->get('horizontal_item_height','');
	
	if($carousel && $itemheight=='') $itemheight = (int) $params->get('horizontal_height_slider','');
	
	//echo 'itemheight'.$itemheight;
	
	if($itemheight) $addCSSitem .= 'height:'.$itemheight.'px;';
	
	if($addCSSitem)  $addCSS .= '
	#axnews'.$module->id.' .aixeena_news_item.link-item-0 {'.$addCSSitem.'}';
	
	if($params->get('show_more',0) && $params->get('morealign',''))  $addCSS .= '	
#axnews'.$module->id.' .aixeenanews-more {text-align:'.$params->get('morealign','left').';}';
	

	// --------------------------------------------------- List custom styles (v2)  
	
	if($layout == 'list' &&  $params->get('bootstrap_class_ul',1) ) {			
		
		$list_item_color = $params->get('list_item_color','');
		$list_item_hover_color = $params->get('list_item_hover_color','');
		$list_item_text_color = $params->get('list_item_text_color','');
		$list_item_text_hover_color = $params->get('list_item_text_hover_color','');
		$list_item_icon_color = $params->get('list_item_icon_color','');
		$list_item_border_color = $params->get('list_item_border_color','');
		$list_border = $params->get('list_border',1);
		
		$addCSSlist = '';
		if($list_item_color) $addCSSlist .= 'background-color: '.$list_item_color.';';
		if($list_item_text_color) $addCSSlist .= 'color: '.$list_item_text_color.';';
		if($list_item_border_color && $list_border) $addCSSlist .= 'border: 1px solid '.$list_item_border_color.';';	
		if(!$list_border) $addCSSlist .= 'border: 0;';	
		
		if($addCSSlist) $addCSS .= '
		#aixeena-news-ul-'.$module->id.' .aixeena-list-group-item {'.$addCSSlist.'} 
		';
		
		$addCSSlist = '';
		if($list_item_hover_color) $addCSSlist .= 'background-color: '.$list_item_hover_color.';';
		if($list_item_text_hover_color) $addCSSlist .= 'color: '.$list_item_text_hover_color.';';
		
		if($addCSSlist) $addCSS .= '
		#aixeena-news-ul-'.$module->id.' .aixeena-list-group-item:hover {'.$addCSSlist.'} 
		';
		
		if($list_item_icon_color) $addCSS .= '
		#aixeena-news-ul-'.$module->id.' .aixeena-list-group-item .aixeena-glyphicon {color: '.$list_item_icon_color.';} 
		';
		
		if($params->get('list_header',0)) {  // list header styles
		
			$list_head_color = $params->get('list_head_color','');
			$list_head_text_color = $params->get('list_head_text_color','');
			$list_header_align = $params->get('list_header_align','center');
			
			$addCSSlist = '';
			if($list_head_color) $addCSSlist .= 'background-color: '.$list_head_color.';';
			if($list_head_text_color) $addCSSlist .= 'color: '.$list_head_text_color.';';
			
			if($addCSSlist) $addCSS .= '
			#aixeena-news-ul-'.$module->id.' .aixeena-list-header {'.$addCSSlist.'} 
			#aixeena-news-ul-'.$module->id.' .aixeena-list-header:hover {'.$addCSSlist.'} 
			';
		}
		
		if($params->get('list_footer',0)) {  // list footer styles
		
			$list_footer_color = $params->get('list_footer_color','');
			$list_footer_text_color = $params->get('list_footer_text_color','');
			$list_footer_align = $params->get('list_footer_align','right');
			
			$addCSSlist = '';
			if($list_footer_color) $addCSSlist .= 'background-color: '.$list_footer_color.';';
			if($list_footer_text_color) $addCSSlist .= 'color: '.$list_footer_text_color.';';
			if($list_footer_align) $addCSSlist .= 'text-align: '.$list_footer_align.';';
			
			if($addCSSlist) $addCSS .= '
			#aixeena-news-ul-'.$module->id.' .aixeena-list-footer {'.$addCSSlist.'} 
			';
		
			$list_footer_hover_color = $params->get('list_footer_hover_color','');
			$list_footer_text_hover_color = $params->get('list_footer_text_hover_color','');
			
			$addCSSlist = '';
			if($list_footer_hover_color) $addCSSlist .= 'background-color: '.$list_footer_hover_color.';';
			if($list_footer_text_hover_color) $addCSSlist .= 'color: '.$list_footer_text_hover_color.';';
			
			if($addCSSlist) $addCSS .= '
			#aixeena-news-ul-'.$module->id.' .aixeena-list-footer:hover {'.$addCSSlist.'} 
			';
		}	

	}
	
	
	// --------------------------------------------------- end of List custom styles (v2)  
	
	
	
	// --------------------------------------------------- List custom styles (v2)  
		
		
		// common box settings
		
		$addCSStemplate = '';
		$template_box_color = $params->get('template_box_color','');
		$template_box_padding_left =  $params->get('template_box_padding_left','');
		$template_box_padding_right =  $params->get('template_box_padding_right','');
		$template_box_padding_top =  $params->get('template_box_padding_top','');
		$template_box_padding_bottom =  $params->get('template_box_padding_bottom','');
		
		$template_box_margin_left =  $params->get('template_box_margin_left','');
		$template_box_margin_right =  $params->get('template_box_margin_right','');
		$template_box_margin_top =  $params->get('template_box_margin_top','');
		$template_box_margin_bottom =  $params->get('template_box_margin_bottom','');

		if($template_box_color) $addCSStemplate .= 'background-color:'.$template_box_color.';';
		if($template_box_padding_left) $addCSStemplate .= 'padding-left:'.$template_box_padding_left.'px;';
		if($template_box_padding_right) $addCSStemplate .= 'padding-right:'.$template_box_padding_right.'px;';
		if($template_box_padding_top) $addCSStemplate .= 'padding-top:'.$template_box_padding_top.'px;';
		if($template_box_padding_bottom) $addCSStemplate .= 'padding-bottom:'.$template_box_padding_bottom.'px;';
		
		if($template_box_margin_left) $addCSStemplate .= 'margin-left:'.$template_box_margin_left.'px;';
		if($template_box_margin_right) $addCSStemplate .= 'margin-right:'.$template_box_margin_right.'px;';
		if($template_box_margin_top) $addCSStemplate .= 'margin-top:'.$template_box_margin_top.'px;';
		if($template_box_margin_bottom) $addCSStemplate .= 'margin-bottom:'.$template_box_margin_bottom.'px;';
		
		if($params->get('template_border','')!='') {
			$addCSStemplate .='
				border:'.$params->get('template_border','').'px '.$params->get('template_border_color','#cccccc').' solid;
				border-radius:'.$params->get('template_border_radius',0).'px; ';
		}
	
		$box_width =  		$params->get('box_width','');
		$box_maxwidth =  	$params->get('box_maxwidth','');
		$box_height =  		$params->get('box_height','');
		
		
		$custom_scrollbar_zone = $params->get('custom_scrollbar_zone','box');
		
		if($box_width) 	$addCSStemplate .= 'width:'.$box_width.'; ';
		if($box_maxwidth) 	$addCSStemplate .= 'max-width:'.$box_maxwidth.'; ';
		if($box_height && $custom_scrollbar_zone == 'box') $addCSStemplate .= 'height:'.$box_height.'; overflow:hidden; ';
		
		if($box_height && $custom_scrollbar_zone == 'items') $addCSS .= ' #aixeena_news'.$module->id.' {height:'.$box_height.'; overflow:hidden;} ';

		if($addCSStemplate)   $addCSS .= ' #axnews'.$module->id.' {'.$addCSStemplate.'} ';
	
	
		if($params->get('boxtitle',0)) {
		
			$addCSStemplate ='';
			$addCSStemplateh3 ='';
		
			$boxtitle_backgroundcolor =  $params->get('boxtitle_backgroundcolor','');
			$boxtitle_color =  $params->get('boxtitle_color','');
			$boxtitle_border =  $params->get('boxtitle_border','');
			$boxtitle_border_color =  $params->get('boxtitle_border_color','#cccccc');
			$boxtitle_padding =  $params->get('boxtitle_padding','');
			
			$boxtitle_padding_right =  $params->get('boxtitle_padding_right','');
			$boxtitle_padding_left =  $params->get('boxtitle_padding_left','');
			$boxtitle_padding_top =  $params->get('boxtitle_padding_top','');
			$boxtitle_padding_bottom =  $params->get('boxtitle_padding_bottom','');
			
			$boxtitle_marging =  $params->get('boxtitle_marging','');
			$boxtitle_font_family  		= 	$params->get('boxtitle_font_family','');
			$boxtitle_font_size			= 	$params->get('boxtitle_font_size','');
			$boxtitle_line_height		= 	$params->get('boxtitle_line_height','');
			
			$boxtitle_imagen		= 	$params->get('boxtitle_imagen','');
			
			if($boxtitle_backgroundcolor) $addCSStemplate .= 'background-color:'.$boxtitle_backgroundcolor.';';
			if($boxtitle_color) $addCSStemplateh3 .= 'color:'.$boxtitle_color.';';
			if($boxtitle_border!='') $addCSStemplate .='border-bottom:'.$boxtitle_border.'px '.$boxtitle_border_color.' solid;';
			if($boxtitle_padding!='') $addCSStemplate .= 'padding:'.$boxtitle_padding.'px;';
			
			
			if($boxtitle_padding_left!='') $addCSStemplate .= 'padding-left:'.$boxtitle_padding_left.'px;';
			if($boxtitle_padding_right!='') $addCSStemplate .= 'padding-right:'.$boxtitle_padding_right.'px;';
			if($boxtitle_padding_bottom!='') $addCSStemplate .= 'padding-bottom:'.$boxtitle_padding_bottom.'px;';
			if($boxtitle_padding_top!='') $addCSStemplate .= 'padding-top:'.$boxtitle_padding_top.'px;';
			
			
			if($boxtitle_marging!='') $addCSStemplate .= 'margin-bottom:'.$boxtitle_marging.'px;';
			
			if($boxtitle_font_family) $addCSStemplateh3 .= 'font-family:'.$boxtitle_font_family.';';
			if($boxtitle_font_size	) $addCSStemplateh3 .= 'font-size:'.$boxtitle_font_size	.';';
			if($boxtitle_line_height) $addCSStemplateh3 .= 'line-height:'.$boxtitle_line_height.';';
	
			if($boxtitle_imagen)  $addCSStemplate .= ' 
				background-image: url("'.JURI::base(true).'/'.$boxtitle_imagen.'");
				background-repeat:no-repeat;
				background-position:left top;
				';
			
			if($addCSStemplate)   $addCSS .= ' #axnews'.$module->id.' .boxtitle {'.$addCSStemplate.'} ';
			
			
			
			if($addCSStemplateh3)   $addCSS .= ' #axnews'.$module->id.' .boxtitle h3{'.$addCSStemplateh3.'} ';
			
		}
		
		
	
	
	
	if($layout == 'carousel' ) {			
			
		
		$addCSScarosusel = 'color: '.$params->get('carousel_arrows_color','').';';
		$addCSScarosusel .= 'font-size: '.$params->get('carousel_arrows_fontsize','').'px; line-height: '.$params->get('carousel_arrows_fontsize','').'px;';
		
		if($params->get('prevnext',1) && $params->get('prevnexttype',1)==1) $addCSS .= '
		#foo'.$module->id.'_prev, #foo'.$module->id.'_next {'.$addCSScarosusel.'} 
		#foo'.$module->id.'_prev:hover, #foo'.$module->id.'_next:hover {color: '.$params->get('carousel_arrows_hovercolor','').';} 
		';
		
		
		$addCSScarosusel = '';
		if($params->get('pagination',1) && $params->get('paginationmode',2)==2) $addCSS .= '
		
		#foo'.$module->id.'_pag .paginationcircle {
			margin-left:'.$params->get('carousel_pagination_margin','2').'px;
			margin-right:'.$params->get('carousel_pagination_margin','2').'px;
			width:'.$params->get('carousel_pagination_width','25').'px;
			height:'.$params->get('carousel_pagination_width','25').'px;
			background-color:'.$params->get('carousel_pagination_color','#666666').';
			border-radius: '.$params->get('carousel_pagination_borderradius','30').'px;
		}
		
		#foo'.$module->id.'_pag a.selected .paginationcircle {
			background-color:'.$params->get('carousel_pagination_hovercolor','#000000').';
		}';	
		

		
		if($params->get('pagination',1) && $params->get('paginationnumbers',1)) $addCSS .= '
		
		#foo'.$module->id.'_pag .paginationcircle {
			font-famlily:'.$params->get('carousel_pagination_numbers_fontfamily','Arial').';
			font-size:'.$params->get('carousel_pagination_numbers_size','12').'px;
			line-height:'.$params->get('carousel_pagination_numbers_size','12').'px;
		}
		#foo'.$module->id.'_pag .paginationcircle .paginationnum {
			position:relative;
			top:  '.$params->get('carousel_pagination_numbers_top','3').'px;
			color: '.$params->get('carousel_pagination_numbers_color','#ffffff').';
		}
		
		#foo'.$module->id.'_pag a.selected .paginationcircle .paginationnum, #foo'.$module->id.'_pag .paginationcircle .paginationnum:hover {
			color:'.$params->get('carousel_pagination_numbers_hovercolor','#fbf801').';
		}';	
			
		
		if($params->get('pagination',1) && !$params->get('paginationnumbers',1)) $addCSS .= '
		
		#foo'.$module->id.'_pag .paginationcircle .paginationnum {
			display:none;
		}';
		
		if($params->get('pagination',1) && $params->get('carousel_pagination_backcolor','')) $addCSS .= '
		
		#foo'.$module->id.'_pag  {
			background-color:'.$params->get('carousel_pagination_backcolor','').';
		}';
		
		if($params->get('timer',1) && $params->get('timer_color',''))  $addCSS .= '
		
		#axnews'.$module->id.' .timer {
			background-color:'.$params->get('timer_color','').';
		}';
		if($params->get('timer',1) && $params->get('timer_borderradius',''))  $addCSS .= '
		
		#axnews'.$module->id.' .timer {
			border-radius:'.$params->get('timer_borderradius','').'px;
		}';
		if($params->get('timer',1) && $params->get('timer_height',''))  $addCSS .= '
		
		#axnews'.$module->id.' .timer {
			height:'.$params->get('timer_height','').'px;
		}';
		

	}
	
	if($params->get('customcss','')) $addCSS .= $params->get('customcss','');
	
	
	$addCSS = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $addCSS);
    /* remove tabs, spaces, newlines, etc. */
    $addCSS = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $addCSS);
	
	
	if(!$CSS) $addCSS = '';

?>